html, body {margin:0; padding:0; width:100%; height:100%;}
body
{
    display: flex;
    flex-direction: column;
}
.container
{
    width:100%;
    height:100%;
    display:flex;
}
.top
{
    background: mediumpurple;
    flex: 0 0 auto;
    height: 40px;
    display:flex;
    justify-content: stretch;
    align-items: center;
}

.web-title
{
    margin-left: 10px;
    justify-self: center;
    align-self: center;
    font-size: 1.5em;
    font-weight: bold;
    color: white;
    text-decoration: none;
    flex: 0;
}

#loginbox {
    border: 2px solid white;
    color: white;
    border-radius: 5px; 
    padding: 2px;
    font-weight: bold;  
    margin-right: 5px; 
}

#user-id {
    color: white;
    padding: 2px;
    font-weight: bold;  
    margin-right: 5px; 
}
.web-title-margin
{
    flex:1;
}
.title-B
{
    color: mediumpurple;
    background: white;
}

.web-margin
{
    height: 64px;
}
.shadow
{
    box-shadow:0 2px 10px rgba(0,0,0,.2);
}

.shadow2
{
    box-shadow: 2px 0 10px rgba(0,0,0,.2);
}

.underline {
    background:mediumpurple;
    height: 3px;
    margin-bottom: 20px;
}

.r-effect {
    background: rgba(147,112,219,0.9);
    color: rgb(250,250,250);
}

.indent
{
    padding-left: 10px;
}